[Elven Wizard Class Transfer]:
An Elven Wizard who reaches level 40 can proceed with the 2nd class transfer to become a Spellsinger or an Elemental Summoner. In order to accomplish the 2nd class transfer, the character must successfully complete three quests. The first of the quests can only be undertaken by a character of level 35 or above. If you wish to view more detailed information, please click the class you are interested in.
Spellsinger
Elemental Summoner
Return
Close Window